Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std
Class QTPreferences

    java.lang.Object
      |
      +--quicktime.std.QTPreferences

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class QTPreferences
extends java.lang.Object
implements quicktime.jdirect.QuickTimeLib

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`QTPreferences()`

Method Summary
`static AtomContainer` | `getAccessKeys(java.lang.String keyType)` This method returns all the application and system access keys of a specified access key type.
`static AtomContainer` | `getPreference(int preferenceType)` This method retrieves the preference value associated with a specific preference type.
`static void` | `registerAccessKey(java.lang.String keyType, int flags, QTHandleRef accessKey)` This method registers an access key.
`static void` | `registerAccessKey(java.lang.String keyType, int flags, java.lang.String accessKey)` This method registers an access key.
`static void` | `setPreference(int preferenceType, AtomContainer prefAtom)` This method sets the preference value associated with a specific preference type.
`static void` | `unregisterAccessKey(java.lang.String keyType, int flags, QTHandleRef accessKey)` This method removes an access key.
`static void` | `unregisterAccessKey(java.lang.String keyType, int flags, java.lang.String accessKey)` This method removes an access key.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QTPreferences

    public QTPreferences()

Method Detail

### getAccessKeys

    public static AtomContainer getAccessKeys(java.lang.String keyType)
                                       throws StdQTException

  This method returns all the application and system access keys of a specified access key type.

  Parameters:
    `keyType` - the type of access keys to return.
  Returns:
    The AtomContainer contains atoms of type kAccessKeyAtomType at the top level.

### registerAccessKey

    public static void registerAccessKey(java.lang.String keyType,
                                         int flags,
                                         java.lang.String accessKey)
                                  throws QTException

  This method registers an access key. To register a system access key, set flags parameter to kAccessKeySystemFlag (1). To register an application access key, set flags parameter to 0. If the access key has already been registered, no error is returned, and the request is simply ignored

  Parameters:
    `keyType` - the type of access keys to be registered.
    `flags` - flag specifying the operation of this method.
    `accessKey` - the key to be registered.

### registerAccessKey

    public static void registerAccessKey(java.lang.String keyType,
                                         int flags,
                                         QTHandleRef accessKey)
                                  throws QTException

  This method registers an access key. To register a system access key, set flags parameter to kAccessKeySystemFlag (1). To register an application access key, set flags parameter to 0. If the access key has already been registered, no error is returned, and the request is simply ignored

  Parameters:
    `keyType` - the type of access keys to be registered.
    `flags` - flag specifying the operation of this method.
    `accessKey` - the key to be registered.

### unregisterAccessKey

    public static void unregisterAccessKey(java.lang.String keyType,
                                           int flags,
                                           java.lang.String accessKey)
                                    throws QTException

  This method removes an access key. To remove a system access key, set flags parameter to kAccessKeySystemFlag (1). To remove an application access key, set flags parameter to 0.

  Parameters:
    `keyType` - the type of the access key to be removed.
    `flags` - flag specifying the operation of this method.
    `accessKey` - the key to be removed.

### unregisterAccessKey

    public static void unregisterAccessKey(java.lang.String keyType,
                                           int flags,
                                           QTHandleRef accessKey)
                                    throws QTException

  This method removes an access key. To remove a system access key, set flags parameter to kAccessKeySystemFlag (1). To remove an application access key, set flags parameter to 0.

  Parameters:
    `keyType` - the type of the access key to be removed.
    `flags` - flag specifying the operation of this method.
    `accessKey` - the key to be removed.

### getPreference

    public static AtomContainer getPreference(int preferenceType)
                                       throws QTException

  This method retrieves the preference value associated with a specific preference type.

  Parameters:
    `preferenceType` - the type of the preference to be retrieved.
  Returns:
    the atom container encapsulating the specific preference

### setPreference

    public static void setPreference(int preferenceType,
                                     AtomContainer prefAtom)
                              throws QTException

  This method sets the preference value associated with a specific preference type.

  Parameters:
    `preferenceType` - the type of the preference to be retrieved.
    `prefAtom` - the atom container encapsulating the values of the specified preference

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD